Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.vmplugin
Interface VMPlugin

All Known Implementing Classes:
  Java4, Java5

    public interface VMPlugin

Interface to access VM version based actions. This interface is for internal use only!

Author:
  Jochen Theodorou

Method Summary
`void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`Class[]` | `getPluginDefaultGroovyMethods()`
`void` | `setGenericsTypes(ClassNode c)`

Method Detail

### setGenericsTypes

    void setGenericsTypes(ClassNode c)

### getPluginDefaultGroovyMethods

    Class[] getPluginDefaultGroovyMethods()

### configureClassNode

    void configureClassNode(CompileUnit compileUnit,
                            ClassNode classNode)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD